GNU bug report logs - #2940
23.0.92; C-s in dired fails to find files with umlauts

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Markus Triska <markus.triska@HIDDEN>; dated Thu, 9 Apr 2009 16:35:04 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug reassigned from package 'emacs' to 'emacs,ns'. Request was from Lars Magne Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 2940 <at> debbugs.gnu.org:


Received: (at 2940) by debbugs.gnu.org; 16 Jul 2011 17:38:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 16 13:38:27 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qi8ot-00087q-Hy
	for submit <at> debbugs.gnu.org; Sat, 16 Jul 2011 13:38:27 -0400
Received: from exprod7og111.obsmtp.com ([64.18.2.175])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <aker@HIDDEN>) id 1Qi8or-00087d-SV
	for 2940 <at> debbugs.gnu.org; Sat, 16 Jul 2011 13:38:27 -0400
Received: from mb2i1.ns.pitt.edu ([136.142.11.153]) by
	exprod7ob111.postini.com ([64.18.6.12]) with SMTP
	ID DSNKTiHMi4U/UuC+HSRfi1x4LEwf+OM3hpcN@HIDDEN;
	Sat, 16 Jul 2011 10:38:25 PDT
Received: from unixs1.cis.pitt.edu ([136.142.4.246])
	by pitt.edu (PMDF V6.3-x11 #31505)
	with ESMTP id <0LOF008ISSZVRP@HIDDEN> for
	2940 <at> debbugs.gnu.org; Sat, 16 Jul 2011 13:38:19 -0400 (EDT)
Date: Sat, 16 Jul 2011 13:38:19 -0400 (EDT)
From: Alp Aker <aker@HIDDEN>
Subject: Re: bug#2940: 23.0.92; C-s in dired fails to find files with umlauts
In-reply-to: <j2ipr3b7pr.fsf@HIDDEN>
X-X-Sender: aker@HIDDEN
To: Glenn Morris <rgm@HIDDEN>
Message-id: <Pine.GSO.4.63.1107152036370.6793@HIDDEN>
MIME-version: 1.0
Content-type: TEXT/PLAIN; format=flowed; charset=US-ASCII
References: <m24owxzt8f.fsf@HIDDEN>
	<Pine.GSO.4.63.1107111756330.24728@HIDDEN>
	<j2ipr3b7pr.fsf@HIDDEN>
X-Spam-Score: -6.6 (------)
X-Debbugs-Envelope-To: 2940
Cc: Eli Zaretskii <eliz@HIDDEN>, 2940 <at> debbugs.gnu.org, markus.triska@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)

Glenn Morris wrote:

> IIUC, he's not using a --with-ns build. It's a "normal", gtk build that
> happens to be running on a Mac. So ns-win.el isn't in use.

My mistake; since it was running on Darwin I just assumed an NS build, and 
didn't look at the build info in the original bug report.

Making this the default behavior for non-NS builds running on a Mac is 
probably TRT.  It was once possible to use Darwin with UFS, but that 
hasn't been true for the last three major versions, so going forward it 
will be a vanishingly rare case where (eq system-type 'darwin) doesn't 
imply that the file system is a variant of HFS+.  And it's reasonable for 
users to expect that Emacs will, out of the box, properly handle file 
names on the system it was built on.

OTOH, just adding something like:

  (when (eq system-type 'darwin)
     (require 'ucs-normalize)
     (setq file-name-coding-system 'utf-8-hfs))

to x-win.el might not be the best solution.  The utf-8-hfs coding system 
does both post-read conversion (normalizing to precomposed utf-8) and 
pre-write conversion (normalizing to Apple's variant of decomposed utf-8). 
The latter is unnecessary:  the OS itself will do normalization on any 
filename handed to it.  (Observe that the coding system defined in 
ns-win.el only does post-read conversion.)

For local operations, the redundant pre-write conversion is harmless. 
But using decomposed utf-8 might cause trouble when dealing with remote 
files.  So it's probably more robust to follow ns-win.el's lead and define 
a coding system that only does post-read conversion.  Thus:

   (when (eq system-type 'darwin)
     (require 'ucs-normalize)
     (define-coding-system 'utf-8-hfs-for-read
       "UTF-8 based coding system for HFS+ file names."
       :coding-type 'utf-8
       :mnemonic ?U
       :charset-list '(unicode)
       :post-read-conversion 'ucs-normalize-hfs-nfd-post-read-conversion)
     (setq file-name-coding-system 'utf-8-hfs-for-read))

would be the addition to make to x-win.el.





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#2940; Package emacs. Full text available.

Message received at 2940 <at> debbugs.gnu.org:


Received: (at 2940) by debbugs.gnu.org; 15 Jul 2011 20:38:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 15 16:38:22 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qhp9R-0007NI-Vf
	for submit <at> debbugs.gnu.org; Fri, 15 Jul 2011 16:38:22 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1Qhp9P-0007N3-1u
	for 2940 <at> debbugs.gnu.org; Fri, 15 Jul 2011 16:38:20 -0400
Received: from localhost ([127.0.0.1]:50537)
	by fencepost.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1Qhp9E-0006tt-VE; Fri, 15 Jul 2011 16:38:09 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Alp Aker <aker@HIDDEN>
Subject: Re: bug#2940: 23.0.92; C-s in dired fails to find files with umlauts
References: <m24owxzt8f.fsf@HIDDEN>
	<Pine.GSO.4.63.1107111756330.24728@HIDDEN>
X-Spook: M-14 Treasury Jyllandsposten CBNRC anthrax top secret
X-Ran: ^y'vjH&D55ey!NPa_2`Z0X?]%Dg3ZKK;irWuO{LCK;'z0lTfUh's/EI,P(t7K_->!nf]RP
X-Hue: green
X-Attribution: GM
Date: Fri, 15 Jul 2011 16:38:08 -0400
In-Reply-To: <Pine.GSO.4.63.1107111756330.24728@HIDDEN> (Alp
	Aker's message of "Mon, 11 Jul 2011 18:02:16 -0400 (EDT)")
Message-ID: <j2ipr3b7pr.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 2940
Cc: Eli Zaretskii <eliz@HIDDEN>, 2940 <at> debbugs.gnu.org, markus.triska@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.4 (------)

Alp Aker wrote:

> OTOH, the code in question has been present in ns-win.el since the NS
> code was first merged into the main branch (rev 89434), so I'm not
> sure how the OP's problem arose in the first place.

IIUC, he's not using a --with-ns build. It's a "normal", gtk build that
happens to be running on a Mac. So ns-win.el isn't in use.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#2940; Package emacs. Full text available.

Message received at 2940 <at> debbugs.gnu.org:


Received: (at 2940) by debbugs.gnu.org; 11 Jul 2011 22:02:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 11 18:02:28 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QgOYe-0006RS-EA
	for submit <at> debbugs.gnu.org; Mon, 11 Jul 2011 18:02:28 -0400
Received: from exprod7og106.obsmtp.com ([64.18.2.165])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <aker@HIDDEN>) id 1QgOYb-0006RC-NZ
	for 2940 <at> debbugs.gnu.org; Mon, 11 Jul 2011 18:02:27 -0400
Received: from mb1i1.ns.pitt.edu ([136.142.11.152]) by
	exprod7ob106.postini.com ([64.18.6.12]) with SMTP
	ID DSNKThty6Et5Rop6hQgaNLKEsoNBZEFhXpZB@HIDDEN;
	Mon, 11 Jul 2011 15:02:25 PDT
Received: from unixs1.cis.pitt.edu ([136.142.4.246])
	by pitt.edu (PMDF V6.3-x11 #31505)
	with ESMTP id <0LO60063ZVVSMV@HIDDEN> for
	2940 <at> debbugs.gnu.org; Mon, 11 Jul 2011 18:02:16 -0400 (EDT)
Date: Mon, 11 Jul 2011 18:02:16 -0400 (EDT)
From: Alp Aker <aker@HIDDEN>
Subject: Re: bug#2940: 23.0.92; C-s in dired fails to find files with umlauts
X-X-Sender: aker@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
Message-id: <Pine.GSO.4.63.1107111756330.24728@HIDDEN>
MIME-version: 1.0
Content-type: TEXT/PLAIN; format=flowed; charset=US-ASCII
X-Spam-Score: -6.6 (------)
X-Debbugs-Envelope-To: 2940
Cc: Glenn Morris <rgm@HIDDEN>, 2940 <at> debbugs.gnu.org, markus.triska@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)

Eli Zaretskii wrote:

>>>    (require 'ucs-normalize)
>>>    (setq file-name-coding-system 'utf-8-hfs)
>
> It could be that Emacs should do this on that platform automatically, 
> yes.  But some Darwin expert should look into this and provide feedback, 
> before we decide.

I'm no expert, but it doesn't look as if this is necessary. 
/lisp/term/ns-win.el already defines a coding system utf-8-nfd that 
performs normalization and it sets that as the value of 
file-name-coding-system.  This takes care of the fact that the HFS+ 
filesystem uses decomposed file names, and indeed I can't reproduce (in 
either 24.0.50 or 23.3) the behavior described in the original bug report.

OTOH, the code in question has been present in ns-win.el since the NS code 
was first merged into the main branch (rev 89434), so I'm not sure how the 
OP's problem arose in the first place.





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#2940; Package emacs. Full text available.

Message received at 2940 <at> debbugs.gnu.org:


Received: (at 2940) by debbugs.gnu.org; 11 Jul 2011 16:22:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 11 12:22:52 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QgJG0-0002ge-7k
	for submit <at> debbugs.gnu.org; Mon, 11 Jul 2011 12:22:52 -0400
Received: from mailout-de.gmx.net ([213.165.64.22])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <markus.triska@HIDDEN>) id 1QgJFy-0002gR-AT
	for 2940 <at> debbugs.gnu.org; Mon, 11 Jul 2011 12:22:51 -0400
Received: (qmail invoked by alias); 11 Jul 2011 16:22:43 -0000
Received: from 178.115.8.224.wireless.dyn.drei.com (EHLO mt-imac.local)
	[178.115.8.224]
	by mail.gmx.net (mp014) with SMTP; 11 Jul 2011 18:22:43 +0200
X-Authenticated: #4064391
X-Provags-ID: V01U2FsdGVkX1+sDTM4jhWsjTnfgU4QjcJWWp8TJjOJIJ2CUwWnEL
	J9CLijYwFPquKo
Received: by mt-imac.local (Postfix, from userid 501)
	id C1DAC9BA33E; Mon, 11 Jul 2011 18:21:30 +0200 (CEST)
From: Markus Triska <markus.triska@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#2940: 23.0.92; C-s in dired fails to find files with umlauts
References: <mailman.4984.1239295440.31690.bug-gnu-emacs@HIDDEN>
	<buoprflp8ev.fsf@HIDDEN>
	<mailman.5035.1239343440.31690.bug-gnu-emacs@HIDDEN>
	<m27i1syebo.fsf@HIDDEN> <E1MbZMg-0007Nv-P9@etlken>
	<i3ipraj8ks.fsf@HIDDEN> <m262n9on6w.fsf@HIDDEN>
	<qfy605zibb.fsf@HIDDEN>
Date: Mon, 11 Jul 2011 18:21:30 +0200
In-Reply-To: <qfy605zibb.fsf@HIDDEN> (Glenn Morris's message of
	"Sun, 10 Jul 2011 22:01:44 -0400")
Message-ID: <m21uxwokj9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 2940
Cc: 2940 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Glenn Morris <rgm@HIDDEN> writes:

>>    (require 'ucs-normalize)
>>    (setq file-name-coding-system 'utf-8-hfs)
>
> I know nothing about this area: Is this an acceptable solution (in
> which case I will close this report); or should it work out-of-the-box
> with no configuration?

In my personal use, I expected it to work out of the box. It was also
initially unclear to me that you need to explicitly require
ucs-normalize in order to use utf8-8-hfs. When you do, in "emacs -Q":

   (setq file-name-coding-system 'utf-8-hfs)

you cannot do much anymore with that Emacs instance, since you get
"Invalid coding system: utf-8-hfs" on almost all key presses. This is a
general issue though that also happens when you mistype a coding system.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#2940; Package emacs. Full text available.

Message received at 2940 <at> debbugs.gnu.org:


Received: (at 2940) by debbugs.gnu.org; 11 Jul 2011 02:54:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 10 22:54:25 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qg6dd-0006u7-AV
	for submit <at> debbugs.gnu.org; Sun, 10 Jul 2011 22:54:25 -0400
Received: from mtaout21.012.net.il ([80.179.55.169])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1Qg6da-0006tu-7z
	for 2940 <at> debbugs.gnu.org; Sun, 10 Jul 2011 22:54:23 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
	a-mtaout21.012.net.il (HyperSendmail v2007.08) id
	<0LO500H00EKFSF00@HIDDEN> for
	2940 <at> debbugs.gnu.org; Mon, 11 Jul 2011 05:54:16 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([84.229.156.102]) by a-mtaout21.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0LO500H9XEQFRX60@HIDDEN>;
	Mon, 11 Jul 2011 05:54:16 +0300 (IDT)
Date: Mon, 11 Jul 2011 05:56:18 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#2940: 23.0.92; C-s in dired fails to find files with umlauts
In-reply-to: <qfy605zibb.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Glenn Morris <rgm@HIDDEN>
Message-id: <83zkklmsod.fsf@HIDDEN>
References: <mailman.4984.1239295440.31690.bug-gnu-emacs@HIDDEN>
	<buoprflp8ev.fsf@HIDDEN>
	<mailman.5035.1239343440.31690.bug-gnu-emacs@HIDDEN>
	<m27i1syebo.fsf@HIDDEN> <E1MbZMg-0007Nv-P9@etlken>
	<i3ipraj8ks.fsf@HIDDEN> <m262n9on6w.fsf@HIDDEN>
	<qfy605zibb.fsf@HIDDEN>
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 2940
Cc: 2940 <at> debbugs.gnu.org, markus.triska@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.0 (--)

> From: Glenn Morris <rgm@HIDDEN>
> Date: Sun, 10 Jul 2011 22:01:44 -0400
> Cc: 2940 <at> debbugs.gnu.org
> 
> Markus Triska wrote:
> 
> > Thank you, it does if I add this to ~/.emacs:
> >
> >    (require 'ucs-normalize)
> >    (setq file-name-coding-system 'utf-8-hfs)
> 
> I know nothing about this area: Is this an acceptable solution (in which
> case I will close this report); or should it work out-of-the-box with no
> configuration?

It could be that Emacs should do this on that platform automatically,
yes.  But some Darwin expert should look into this and provide
feedback, before we decide.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#2940; Package emacs. Full text available.

Message received at 2940 <at> debbugs.gnu.org:


Received: (at 2940) by debbugs.gnu.org; 11 Jul 2011 02:01:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 10 22:01:51 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qg5ol-0005dM-Lw
	for submit <at> debbugs.gnu.org; Sun, 10 Jul 2011 22:01:51 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1Qg5ok-0005dA-17
	for 2940 <at> debbugs.gnu.org; Sun, 10 Jul 2011 22:01:50 -0400
Received: from localhost ([127.0.0.1]:33248)
	by fencepost.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1Qg5oe-0000WW-IK; Sun, 10 Jul 2011 22:01:44 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Markus Triska <markus.triska@HIDDEN>
Subject: Re: bug#2940: 23.0.92; C-s in dired fails to find files with umlauts
References: <mailman.4984.1239295440.31690.bug-gnu-emacs@HIDDEN>
	<buoprflp8ev.fsf@HIDDEN>
	<mailman.5035.1239343440.31690.bug-gnu-emacs@HIDDEN>
	<m27i1syebo.fsf@HIDDEN> <E1MbZMg-0007Nv-P9@etlken>
	<i3ipraj8ks.fsf@HIDDEN> <m262n9on6w.fsf@HIDDEN>
X-Spook: class struggle terrorism Crowell Mantis red noise Aladdin
X-Ran: \)T@V1o(}NEA;IsJ&}3m4m>"EH.iBCUfA4%=">"]o2nF0HW@tLV3uwo@[]N\mD5?9$VHgD
X-Hue: white
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Sun, 10 Jul 2011 22:01:44 -0400
In-Reply-To: <m262n9on6w.fsf@HIDDEN> (Markus Triska's message of "Sun, 10 Jul
	2011 23:11:51 +0200")
Message-ID: <qfy605zibb.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 2940
Cc: 2940 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.4 (------)

Markus Triska wrote:

> Thank you, it does if I add this to ~/.emacs:
>
>    (require 'ucs-normalize)
>    (setq file-name-coding-system 'utf-8-hfs)

I know nothing about this area: Is this an acceptable solution (in which
case I will close this report); or should it work out-of-the-box with no
configuration?




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#2940; Package emacs. Full text available.

Message received at 2940 <at> debbugs.gnu.org:


Received: (at 2940) by debbugs.gnu.org; 10 Jul 2011 21:13:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 10 17:13:23 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qg1Jb-0006jA-2f
	for submit <at> debbugs.gnu.org; Sun, 10 Jul 2011 17:13:23 -0400
Received: from mailout-de.gmx.net ([213.165.64.22])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <markus.triska@HIDDEN>) id 1Qg1JY-0006ix-F8
	for 2940 <at> debbugs.gnu.org; Sun, 10 Jul 2011 17:13:21 -0400
Received: (qmail invoked by alias); 10 Jul 2011 21:13:13 -0000
Received: from 77.117.123.205.wireless.dyn.drei.com (EHLO mt-imac.local)
	[77.117.123.205]
	by mail.gmx.net (mp032) with SMTP; 10 Jul 2011 23:13:13 +0200
X-Authenticated: #4064391
X-Provags-ID: V01U2FsdGVkX19RvuRvnMFROi2D0aByccWYVAhtdUZZ8ZgcWenFgY
	sFvkZwD8JnVEJ6
Received: by mt-imac.local (Postfix, from userid 501)
	id 698359B9F4F; Sun, 10 Jul 2011 23:11:51 +0200 (CEST)
From: Markus Triska <markus.triska@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#2940: 23.0.92; C-s in dired fails to find files with umlauts
References: <mailman.4984.1239295440.31690.bug-gnu-emacs@HIDDEN>
	<buoprflp8ev.fsf@HIDDEN>
	<mailman.5035.1239343440.31690.bug-gnu-emacs@HIDDEN>
	<m27i1syebo.fsf@HIDDEN> <E1MbZMg-0007Nv-P9@etlken>
	<i3ipraj8ks.fsf@HIDDEN>
Date: Sun, 10 Jul 2011 23:11:51 +0200
In-Reply-To: <i3ipraj8ks.fsf@HIDDEN> (Glenn Morris's message of
	"Sun, 10 Jul 2011 14:26:27 -0400")
Message-ID: <m262n9on6w.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 2940
Cc: 2940 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Glenn Morris <rgm@HIDDEN> writes:

> It was suggested that the ucs-normalize library, which has been part of
> Emacs for some time, should fix this. Does it?

Thank you, it does if I add this to ~/.emacs:

   (require 'ucs-normalize)
   (setq file-name-coding-system 'utf-8-hfs)




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#2940; Package emacs. Full text available.

Message received at 2940 <at> debbugs.gnu.org:


Received: (at 2940) by debbugs.gnu.org; 10 Jul 2011 18:26:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 10 14:26:36 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QfyiB-0001zA-Mv
	for submit <at> debbugs.gnu.org; Sun, 10 Jul 2011 14:26:36 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1Qfyi9-0001yu-Sw
	for 2940 <at> debbugs.gnu.org; Sun, 10 Jul 2011 14:26:34 -0400
Received: from localhost ([127.0.0.1]:60220)
	by fencepost.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1Qfyi4-0000Do-2W; Sun, 10 Jul 2011 14:26:28 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Markus Triska <markus.triska@HIDDEN>
Subject: Re: bug#2940: 23.0.92; C-s in dired fails to find files with umlauts
References: <mailman.4984.1239295440.31690.bug-gnu-emacs@HIDDEN>
	<buoprflp8ev.fsf@HIDDEN>
	<mailman.5035.1239343440.31690.bug-gnu-emacs@HIDDEN>
	<m27i1syebo.fsf@HIDDEN> <E1MbZMg-0007Nv-P9@etlken>
X-Spook: INS Crowell morse JFK TELINT brigand Comirex S Key
X-Ran: ,E@">o\%v}i|!w:J0okbPYBtg2?'(:gfSIII]'b;o|ZO$%McB@9clvey]ez{|jjK\wUkFr
X-Hue: cyan
X-Attribution: GM
Date: Sun, 10 Jul 2011 14:26:27 -0400
In-Reply-To: <E1MbZMg-0007Nv-P9@etlken> (Kenichi Handa's message of "Thu, 13
	Aug 2009 21:25:06 +0900")
Message-ID: <i3ipraj8ks.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 2940
Cc: 2940 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.4 (------)


It was suggested that the ucs-normalize library, which has been part of
Emacs for some time, should fix this. Does it? Please reply and let us
know if you still see this problem in 23.3.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#2940; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 2940@HIDDEN:


Received: (at 2940) by emacsbugs.donarmstrong.com; 13 Aug 2009 12:25:11 +0000
From handa@HIDDEN Thu Aug 13 05:25:11 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.6 required=4.0 tests=AWL,HAS_BUG_NUMBER,
	IMPRONONCABLE_2,SPF_HELO_PASS autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from mx1.aist.go.jp (mx1.aist.go.jp [150.29.246.133])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n7DCP9QX007839
	for <2940@HIDDEN>; Thu, 13 Aug 2009 05:25:11 -0700
Received: from rqsmtp1.aist.go.jp (rqsmtp1.aist.go.jp [150.29.254.115])
	by mx1.aist.go.jp  with ESMTP id n7DCP7uu021302;
	Thu, 13 Aug 2009 21:25:08 +0900 (JST)
	env-from (handa@HIDDEN)
Received: from smtp3.aist.go.jp
	by rqsmtp1.aist.go.jp  with ESMTP id n7DCP7vL010169;
	Thu, 13 Aug 2009 21:25:07 +0900 (JST)
	env-from (handa@HIDDEN)
Received: 
	by smtp3.aist.go.jp  with ESMTP id n7DCP631018404;
	Thu, 13 Aug 2009 21:25:07 +0900 (JST)
	env-from (handa@HIDDEN)
Received: from handa by etlken with local (Exim 4.69)
	(envelope-from <handa@HIDDEN>)
	id 1MbZMg-0007Nv-P9; Thu, 13 Aug 2009 21:25:06 +0900
From: Kenichi Handa <handa@HIDDEN>
To: Markus Triska <markus.triska@HIDDEN>, 2940 <at> debbugs.gnu.org
CC: gnu-emacs-bug@HIDDEN
In-reply-to: <m27i1syebo.fsf@HIDDEN> (message from Markus Triska on Fri, 10
	Apr 2009 12:48:27 +0200)
Subject: Re: bug#2940: 23.0.92; C-s in dired fails to find files with
 umlauts
References: <mailman.4984.1239295440.31690.bug-gnu-emacs@HIDDEN>
	<buoprflp8ev.fsf@HIDDEN>
	<mailman.5035.1239343440.31690.bug-gnu-emacs@HIDDEN> <m27i1syebo.fsf@HIDDEN>
Message-Id: <E1MbZMg-0007Nv-P9@etlken>
Date: Thu, 13 Aug 2009 21:25:06 +0900

In article <m27i1syebo.fsf@HIDDEN>, Markus Triska <markus.triska@HIDDEN> writes:

> Stefan Monnier <monnier@HIDDEN> writes:
> > Please try out this new ucs-normalize package and tell us if it solves
> > your problem and/or suffers from other problems.

> M-x eval-buffer on the (ucs-)normalize.el file posted at:

>    http://lists.gnu.org/archive/html/emacs-devel/2009-04/msg00185.html

> yields:

>    End of file during parsing

I've just committed a new version of ucs-normalize.el.
Could you please try it?

By the way, it contains several autoload cookies.  Should I
re-generate loaddefs.el, copy it to ldefs-boot.el, and
commit it?

---
Kenichi Handa
handa@HIDDEN



Acknowledgement sent to Kenichi Handa <handa@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2940; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 13 Aug 2009 12:25:29 +0000
From handa@HIDDEN Thu Aug 13 05:25:29 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.6 required=4.0 tests=AWL,HAS_BUG_NUMBER,
	IMPRONONCABLE_2 autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from lists.gnu.org (lists.gnu.org [199.232.76.165])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n7DCPRJd007989
	for <submit@HIDDEN>; Thu, 13 Aug 2009 05:25:28 -0700
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1MbZN0-00013x-TC
	for bug-gnu-emacs@HIDDEN; Thu, 13 Aug 2009 08:25:27 -0400
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1MbZMu-00012h-SN
	for bug-gnu-emacs@HIDDEN; Thu, 13 Aug 2009 08:25:25 -0400
Received: from [199.232.76.173] (port=50134 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43)
	id 1MbZMu-00012e-JU
	for bug-gnu-emacs@HIDDEN; Thu, 13 Aug 2009 08:25:20 -0400
Received: from pinatubo-2.switch.ch ([130.59.1.10]:44361 helo=pinatubo.switch.ch)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <handa@HIDDEN>)
	id 1MbZMu-0001Wb-7l
	for bug-gnu-emacs@HIDDEN; Thu, 13 Aug 2009 08:25:20 -0400
Received: from [150.29.246.133] (helo=mx1.aist.go.jp)
	by pinatubo.switch.ch with esmtp (Exim 4.63)
	(envelope-from <handa@HIDDEN>)
	id 1MbZMs-000340-MP
	for gnu-emacs-bug@HIDDEN; Thu, 13 Aug 2009 14:25:19 +0200
Received: from rqsmtp1.aist.go.jp (rqsmtp1.aist.go.jp [150.29.254.115])
	by mx1.aist.go.jp  with ESMTP id n7DCP7uu021302;
	Thu, 13 Aug 2009 21:25:08 +0900 (JST)
	env-from (handa@HIDDEN)
Received: from smtp3.aist.go.jp
	by rqsmtp1.aist.go.jp  with ESMTP id n7DCP7vL010169;
	Thu, 13 Aug 2009 21:25:07 +0900 (JST)
	env-from (handa@HIDDEN)
Received: 
	by smtp3.aist.go.jp  with ESMTP id n7DCP631018404;
	Thu, 13 Aug 2009 21:25:07 +0900 (JST)
	env-from (handa@HIDDEN)
Received: from handa by etlken with local (Exim 4.69)
	(envelope-from <handa@HIDDEN>)
	id 1MbZMg-0007Nv-P9; Thu, 13 Aug 2009 21:25:06 +0900
From: Kenichi Handa <handa@HIDDEN>
To: Markus Triska <markus.triska@HIDDEN>, 2940 <at> debbugs.gnu.org
CC: gnu-emacs-bug@HIDDEN
In-reply-to: <m27i1syebo.fsf@HIDDEN> (message from Markus Triska on Fri, 10
	Apr 2009 12:48:27 +0200)
Subject: Re: bug#2940: 23.0.92; C-s in dired fails to find files with
 umlauts
References: <mailman.4984.1239295440.31690.bug-gnu-emacs@HIDDEN>
	<buoprflp8ev.fsf@HIDDEN>
	<mailman.5035.1239343440.31690.bug-gnu-emacs@HIDDEN> <m27i1syebo.fsf@HIDDEN>
Message-Id: <E1MbZMg-0007Nv-P9@etlken>
Date: Thu, 13 Aug 2009 21:25:06 +0900
X-detected-operating-system: by monty-python.gnu.org: Genre and OS details not recognized.

In article <m27i1syebo.fsf@HIDDEN>, Markus Triska <markus.triska@HIDDEN> writes:

> Stefan Monnier <monnier@HIDDEN> writes:
> > Please try out this new ucs-normalize package and tell us if it solves
> > your problem and/or suffers from other problems.

> M-x eval-buffer on the (ucs-)normalize.el file posted at:

>    http://lists.gnu.org/archive/html/emacs-devel/2009-04/msg00185.html

> yields:

>    End of file during parsing

I've just committed a new version of ucs-normalize.el.
Could you please try it?

By the way, it contains several autoload cookies.  Should I
re-generate loaddefs.el, copy it to ldefs-boot.el, and
commit it?

---
Kenichi Handa
handa@HIDDEN




Acknowledgement sent to Kenichi Handa <handa@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2940; Package emacs. Full text available.

Message received at 2940@HIDDEN:


Received: (at 2940) by emacsbugs.donarmstrong.com; 10 Apr 2009 11:34:04 +0000
From handa@HIDDEN Fri Apr 10 04:34:04 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.0 required=4.0 tests=HAS_BUG_NUMBER,
	IMPRONONCABLE_2 autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from mx1.aist.go.jp (mx1.aist.go.jp [150.29.246.133])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n3ABY0T5003510
	for <2940@HIDDEN>; Fri, 10 Apr 2009 04:34:01 -0700
Received: from rqsmtp1.aist.go.jp (rqsmtp1.aist.go.jp [150.29.254.115])
	by mx1.aist.go.jp  with ESMTP id n3ABXw43010048;
	Fri, 10 Apr 2009 20:33:58 +0900 (JST)
	env-from (handa@HIDDEN)
Received: from smtp3.aist.go.jp
	by rqsmtp1.aist.go.jp  with ESMTP id n3ABXwbh021132;
	Fri, 10 Apr 2009 20:33:58 +0900 (JST)
	env-from (handa@HIDDEN)
Received: 
	by smtp3.aist.go.jp  with ESMTP id n3ABXv4G002867;
	Fri, 10 Apr 2009 20:33:57 +0900 (JST)
	env-from (handa@HIDDEN)
Received: from handa by etlken with local (Exim 4.69)
	(envelope-from <handa@HIDDEN>)
	id 1LsEzh-000340-ET; Fri, 10 Apr 2009 20:34:01 +0900
From: Kenichi Handa <handa@HIDDEN>
To: Markus Triska <markus.triska@HIDDEN>, 2940 <at> debbugs.gnu.org
CC: gnu-emacs-bug@HIDDEN
In-reply-to: <m27i1syebo.fsf@HIDDEN> (message from Markus Triska on Fri, 10
	Apr 2009 12:48:27 +0200)
Subject: Re: bug#2940: 23.0.92; C-s in dired fails to find files with umlauts
References: <mailman.4984.1239295440.31690.bug-gnu-emacs@HIDDEN>
	<buoprflp8ev.fsf@HIDDEN>
	<mailman.5035.1239343440.31690.bug-gnu-emacs@HIDDEN> <m27i1syebo.fsf@HIDDEN>
Message-Id: <E1LsEzh-000340-ET@etlken>
Date: Fri, 10 Apr 2009 20:34:01 +0900

In article <m27i1syebo.fsf@HIDDEN>, Markus Triska <markus.triska@HIDDEN> writes:

> Stefan Monnier <monnier@HIDDEN> writes:
> > Please try out this new ucs-normalize package and tell us if it solves
> > your problem and/or suffers from other problems.

> M-x eval-buffer on the (ucs-)normalize.el file posted at:

>    http://lists.gnu.org/archive/html/emacs-devel/2009-04/msg00185.html

> yields:

>    End of file during parsing

The above page puts extra ";" at line 127.  Why does that happen?

Anyway, it seems that the posted ucs-normalize.el (and the
original normalize.el) has a bug.  I'm now asking
Kawabata-san to fix it.

---
Kenichi Handa
handa@HIDDEN




Acknowledgement sent to Kenichi Handa <handa@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2940; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 10 Apr 2009 11:34:24 +0000
From handa@HIDDEN Fri Apr 10 04:34:24 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.0 required=4.0 tests=HAS_BUG_NUMBER,
	IMPRONONCABLE_2 autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from lists.gnu.org (lists.gnu.org [199.232.76.165])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n3ABYLXB003560
	for <submit@HIDDEN>; Fri, 10 Apr 2009 04:34:22 -0700
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1LsF01-0008Hc-14
	for bug-gnu-emacs@HIDDEN; Fri, 10 Apr 2009 07:34:21 -0400
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1LsEzw-0008Ew-4M
	for bug-gnu-emacs@HIDDEN; Fri, 10 Apr 2009 07:34:20 -0400
Received: from [199.232.76.173] (port=40565 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43)
	id 1LsEzv-0008Ep-VF
	for bug-gnu-emacs@HIDDEN; Fri, 10 Apr 2009 07:34:15 -0400
Received: from moderators.individual.net ([130.133.4.7]:38633)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <handa@HIDDEN>)
	id 1LsEzv-0006s6-GZ
	for bug-gnu-emacs@HIDDEN; Fri, 10 Apr 2009 07:34:15 -0400
Received: from mx1.aist.go.jp ([150.29.246.133])
          by moderators.individual.net (Exim 4.69)
          for gnu-emacs-bug@HIDDEN with esmtp
          (envelope-from <handa@HIDDEN>)
          id <1LsEzu-0007TV-BY>; Fri, 10 Apr 2009 13:34:14 +0200
Received: from rqsmtp1.aist.go.jp (rqsmtp1.aist.go.jp [150.29.254.115])
	by mx1.aist.go.jp  with ESMTP id n3ABXw43010048;
	Fri, 10 Apr 2009 20:33:58 +0900 (JST)
	env-from (handa@HIDDEN)
Received: from smtp3.aist.go.jp
	by rqsmtp1.aist.go.jp  with ESMTP id n3ABXwbh021132;
	Fri, 10 Apr 2009 20:33:58 +0900 (JST)
	env-from (handa@HIDDEN)
Received: 
	by smtp3.aist.go.jp  with ESMTP id n3ABXv4G002867;
	Fri, 10 Apr 2009 20:33:57 +0900 (JST)
	env-from (handa@HIDDEN)
Received: from handa by etlken with local (Exim 4.69)
	(envelope-from <handa@HIDDEN>)
	id 1LsEzh-000340-ET; Fri, 10 Apr 2009 20:34:01 +0900
From: Kenichi Handa <handa@HIDDEN>
To: Markus Triska <markus.triska@HIDDEN>, 2940 <at> debbugs.gnu.org
CC: gnu-emacs-bug@HIDDEN
In-reply-to: <m27i1syebo.fsf@HIDDEN> (message from Markus Triska on Fri, 10
	Apr 2009 12:48:27 +0200)
Subject: Re: bug#2940: 23.0.92; C-s in dired fails to find files with umlauts
References: <mailman.4984.1239295440.31690.bug-gnu-emacs@HIDDEN>
	<buoprflp8ev.fsf@HIDDEN>
	<mailman.5035.1239343440.31690.bug-gnu-emacs@HIDDEN> <m27i1syebo.fsf@HIDDEN>
Message-Id: <E1LsEzh-000340-ET@etlken>
Date: Fri, 10 Apr 2009 20:34:01 +0900
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 3)

In article <m27i1syebo.fsf@HIDDEN>, Markus Triska <markus.triska@HIDDEN> writes:

> Stefan Monnier <monnier@HIDDEN> writes:
> > Please try out this new ucs-normalize package and tell us if it solves
> > your problem and/or suffers from other problems.

> M-x eval-buffer on the (ucs-)normalize.el file posted at:

>    http://lists.gnu.org/archive/html/emacs-devel/2009-04/msg00185.html

> yields:

>    End of file during parsing

The above page puts extra ";" at line 127.  Why does that happen?

Anyway, it seems that the posted ucs-normalize.el (and the
original normalize.el) has a bug.  I'm now asking
Kawabata-san to fix it.

---
Kenichi Handa
handa@HIDDEN





Acknowledgement sent to Kenichi Handa <handa@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2940; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 10 Apr 2009 10:48:42 +0000
From news@HIDDEN Fri Apr 10 03:48:42 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.0 required=4.0 tests=HAS_BUG_NUMBER autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from lists.gnu.org (lists.gnu.org [199.232.76.165])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n3AAmcsl021597
	for <submit@HIDDEN>; Fri, 10 Apr 2009 03:48:39 -0700
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1LsEHm-0006bl-3N
	for bug-gnu-emacs@HIDDEN; Fri, 10 Apr 2009 06:48:38 -0400
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1LsEHh-0006Vi-E8
	for bug-gnu-emacs@HIDDEN; Fri, 10 Apr 2009 06:48:37 -0400
Received: from [199.232.76.173] (port=56464 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43)
	id 1LsEHh-0006Vb-Ad
	for bug-gnu-emacs@HIDDEN; Fri, 10 Apr 2009 06:48:33 -0400
Received: from moderators.individual.net ([130.133.4.7]:41963)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <news@HIDDEN>)
	id 1LsEHg-0008Rb-Ia
	for bug-gnu-emacs@HIDDEN; Fri, 10 Apr 2009 06:48:33 -0400
Received: from novembaer.univie.ac.at ([193.171.255.22])
          by moderators.individual.net (Exim 4.69)
          for gnu-emacs-bug@HIDDEN with esmtp
          (envelope-from <news@HIDDEN>)
          id <1LsEHf-0005c4-RV>; Fri, 10 Apr 2009 12:48:31 +0200
Received: from news by novembaer.univie.ac.at with local (Exim 4.20)
	id 1LsEHb-000F9k-MC
	for gnu-emacs-bug@HIDDEN; Fri, 10 Apr 2009 12:48:27 +0200
To: gnu-emacs-bug@HIDDEN
From: Markus Triska <markus.triska@HIDDEN>
Newsgroups: gnu.emacs.bug
Subject: Re: bug#2940: 23.0.92; C-s in dired fails to find files with umlauts
References: <mailman.4984.1239295440.31690.bug-gnu-emacs@HIDDEN>
	<buoprflp8ev.fsf@HIDDEN>
	<mailman.5035.1239343440.31690.bug-gnu-emacs@HIDDEN>
Date: Fri, 10 Apr 2009 12:48:27 +0200
Message-ID: <m27i1syebo.fsf@HIDDEN>
Cancel-Lock: sha1:DCp7o6vSEYLArVK0aL3oMHwFN2M=
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Lines: 18
NNTP-Posting-Host: news-access-from.tuwien.ac.at
X-Trace: 1239360507 tunews.univie.ac.at 11868 192.35.241.118
X-Complaints-To: abuse@HIDDEN
Sender: <news@HIDDEN>
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 3)

Stefan Monnier <monnier@HIDDEN> writes:

> Please try out this new ucs-normalize package and tell us if it solves
> your problem and/or suffers from other problems.

M-x eval-buffer on the (ucs-)normalize.el file posted at:

   http://lists.gnu.org/archive/html/emacs-devel/2009-04/msg00185.html

yields:

   End of file during parsing

After I insert an additional closing parenthesis on line 128 (after the
(defconst ucs-normalize-composition-exclusions ...), it yields:

   Symbol's value as variable is void: in






Acknowledgement sent to Markus Triska <markus.triska@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2940; Package emacs. Full text available.

Message received at 2940@HIDDEN:


Received: (at 2940) by emacsbugs.donarmstrong.com; 10 Apr 2009 05:53:28 +0000
From monnier@HIDDEN Thu Apr  9 22:53:28 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-0.4 required=4.0 tests=FOURLA,HAS_BUG_NUMBER,
	XIRONPORT autolearn=unavailable version=3.2.5-bugs.debian.org_2005_01_02
Received: from ironport2-out.teksavvy.com (ironport2-out.pppoe.ca [206.248.154.182])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n3A5rPcG029823
	for <2940@HIDDEN>; Thu, 9 Apr 2009 22:53:26 -0700
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AlUFAGF73klLd+7D/2dsb2JhbACBUspKg3sGhRM
X-IronPort-AV: E=Sophos;i="4.40,165,1238990400"; 
   d="scan'208";a="36862864"
Received: from 75-119-238-195.dsl.teksavvy.com (HELO pastel.home) ([75.119.238.195])
  by ironport2-out.teksavvy.com with ESMTP; 10 Apr 2009 01:53:19 -0400
Received: by pastel.home (Postfix, from userid 20848)
	id 0E9A47FB6; Fri, 10 Apr 2009 01:53:19 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Miles Bader <miles@HIDDEN>
Cc: 2940 <at> debbugs.gnu.org, Markus Triska <markus.triska@HIDDEN>,
        emacs-pretest-bug@HIDDEN
Subject: Re: bug#2940: 23.0.92; C-s in dired fails to find files with umlauts
Message-ID: <jwvy6u95a71.fsf-monnier+emacsbugreports@HIDDEN>
References: <mailman.4984.1239295440.31690.bug-gnu-emacs@HIDDEN>
	<buoprflp8ev.fsf@HIDDEN>
Date: Fri, 10 Apr 2009 01:53:19 -0400
In-Reply-To: <buoprflp8ev.fsf@HIDDEN> (Miles Bader's message
	of "Fri, 10 Apr 2009 11:08:40 +0900")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.92 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-CrossAssassin-Score: 2

> It looks to me like the problem is that you're on a mac, and [some?]
> mac filesystems silently convert accented characters in filenames to
> "composed form", which is different than the pre-composed characters
> people tend to use.

Indeed, that looks like the culprit (IIUC it's not done by the
filesystem, but by the OS itself before it passes the file names to the
filesystem, so it applies to all filesystems).

> Perhaps the new "ucs-normalize" code (which should be added soon I
> think) would help:

Rather than "perhaps", it should say "supposedly".   Please try out this
new ucs-normalize package and tell us if it solves your problem and/or
suffers from other problems.  It likely won't make it for Emacs-23.1 but
should be included in Emacs-23.2.


        Stefan




Acknowledgement sent to Stefan Monnier <monnier@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2940; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 10 Apr 2009 05:53:26 +0000
From monnier@HIDDEN Thu Apr  9 22:53:26 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-0.4 required=4.0 tests=FOURLA,HAS_BUG_NUMBER,
	XIRONPORT autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n3A5rMsA029825
	for <submit@HIDDEN>; Thu, 9 Apr 2009 22:53:24 -0700
Received: from mx10.gnu.org ([199.232.76.166]:55330)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <monnier@HIDDEN>)
	id 1Ls9g1-0000fG-Py
	for emacs-pretest-bug@HIDDEN; Fri, 10 Apr 2009 01:53:21 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <monnier@HIDDEN>)
	id 1Ls9g0-0006rc-TB
	for emacs-pretest-bug@HIDDEN; Fri, 10 Apr 2009 01:53:21 -0400
Received: from ironport2-out.pppoe.ca ([206.248.154.182]:40275 helo=ironport2-out.teksavvy.com)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <monnier@HIDDEN>)
	id 1Ls9g0-0006rU-KU; Fri, 10 Apr 2009 01:53:20 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AlUFAGF73klLd+7D/2dsb2JhbACBUspKg3sGhRM
X-IronPort-AV: E=Sophos;i="4.40,165,1238990400"; 
   d="scan'208";a="36862864"
Received: from 75-119-238-195.dsl.teksavvy.com (HELO pastel.home) ([75.119.238.195])
  by ironport2-out.teksavvy.com with ESMTP; 10 Apr 2009 01:53:19 -0400
Received: by pastel.home (Postfix, from userid 20848)
	id 0E9A47FB6; Fri, 10 Apr 2009 01:53:19 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Miles Bader <miles@HIDDEN>
Cc: 2940 <at> debbugs.gnu.org, Markus Triska <markus.triska@HIDDEN>,
        emacs-pretest-bug@HIDDEN
Subject: Re: bug#2940: 23.0.92; C-s in dired fails to find files with umlauts
Message-ID: <jwvy6u95a71.fsf-monnier+emacsbugreports@HIDDEN>
References: <mailman.4984.1239295440.31690.bug-gnu-emacs@HIDDEN>
	<buoprflp8ev.fsf@HIDDEN>
Date: Fri, 10 Apr 2009 01:53:19 -0400
In-Reply-To: <buoprflp8ev.fsf@HIDDEN> (Miles Bader's message
	of "Fri, 10 Apr 2009 11:08:40 +0900")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.92 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-detected-operating-system: by monty-python.gnu.org: Genre and OS details not recognized.

> It looks to me like the problem is that you're on a mac, and [some?]
> mac filesystems silently convert accented characters in filenames to
> "composed form", which is different than the pre-composed characters
> people tend to use.

Indeed, that looks like the culprit (IIUC it's not done by the
filesystem, but by the OS itself before it passes the file names to the
filesystem, so it applies to all filesystems).

> Perhaps the new "ucs-normalize" code (which should be added soon I
> think) would help:

Rather than "perhaps", it should say "supposedly".   Please try out this
new ucs-normalize package and tell us if it solves your problem and/or
suffers from other problems.  It likely won't make it for Emacs-23.1 but
should be included in Emacs-23.2.


        Stefan




Acknowledgement sent to Stefan Monnier <monnier@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2940; Package emacs. Full text available.

Message received at 2940@HIDDEN:


Received: (at 2940) by emacsbugs.donarmstrong.com; 10 Apr 2009 02:08:45 +0000
From miles@HIDDEN Thu Apr  9 19:08:45 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.9 required=4.0 tests=FOURLA,HAS_BUG_NUMBER
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from tyo202.gate.nec.co.jp (TYO202.gate.nec.co.jp [202.32.8.206])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n3A28goY029971
	for <2940@HIDDEN>; Thu, 9 Apr 2009 19:08:43 -0700
Received: from relay11.aps.necel.com ([10.29.19.46])
	by tyo202.gate.nec.co.jp (8.13.8/8.13.4) with ESMTP id n3A28f9j022084;
	Fri, 10 Apr 2009 11:08:41 +0900 (JST)
Received: from relay11.aps.necel.com ([10.29.19.20] [10.29.19.20]) by relay11.aps.necel.com with ESMTP; Fri, 10 Apr 2009 11:08:41 +0900
Received: from dhlpc061 ([10.114.114.58] [10.114.114.58]) by relay11.aps.necel.com with ESMTP; Fri, 10 Apr 2009 11:08:41 +0900
Received: by dhlpc061 (Postfix, from userid 31295)
	id E146052E251; Fri, 10 Apr 2009 11:08:40 +0900 (JST)
From: Miles Bader <miles@HIDDEN>
To: Markus Triska <markus.triska@HIDDEN>
Cc: 2940 <at> debbugs.gnu.org, emacs-pretest-bug@HIDDEN
Subject: Re: bug#2940: 23.0.92; C-s in dired fails to find files with umlauts
References: <mailman.4984.1239295440.31690.bug-gnu-emacs@HIDDEN>
Reply-To: Miles Bader <miles@HIDDEN>
System-Type: x86_64-unknown-linux-gnu
Blat: Foop
Date: Fri, 10 Apr 2009 11:08:40 +0900
In-Reply-To: <mailman.4984.1239295440.31690.bug-gnu-emacs@HIDDEN> (Markus
	Triska's message of "Thu, 09 Apr 2009 18:28:48 +0200")
Message-ID: <buoprflp8ev.fsf@HIDDEN>
Lines: 20
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Sender: miles@HIDDEN

It looks to me like the problem is that you're on a mac, and [some?] mac
filesystems silently convert accented characters in filenames to
"composed form", which is different than the pre-composed characters
people tend to use.

Perhaps the new "ucs-normalize" code (which should be added soon I
think) would help:

> The attached is an Unicode normalization tool contributed by
> Kawabata-san.  It performs all the Unicode normalization
> NFC/NFD/NFKD/NFKC, and provides a coding system utf-8-hfs
> that is suitable to be used for Mac OS 8.1's file names.

[Search for "normalize.el" on recent emacs-devel messages]

-Miles

-- 
A zen-buddhist walked into a pizza shop and
said, "Make me one with everything."




Acknowledgement sent to Miles Bader <miles@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2940; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 10 Apr 2009 02:08:55 +0000
From miles@HIDDEN Thu Apr  9 19:08:55 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.9 required=4.0 tests=FOURLA,HAS_BUG_NUMBER
	autolearn=unavailable version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n3A28qcw029979
	for <submit@HIDDEN>; Thu, 9 Apr 2009 19:08:54 -0700
Received: from mail.gnu.org ([199.232.76.166]:47427 helo=mx10.gnu.org)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <miles@HIDDEN>)
	id 1Ls6Am-0003uN-9Y
	for emacs-pretest-bug@HIDDEN; Thu, 09 Apr 2009 22:08:52 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <miles@HIDDEN>)
	id 1Ls6Al-0004n7-9P
	for emacs-pretest-bug@HIDDEN; Thu, 09 Apr 2009 22:08:52 -0400
Received: from tyo202.gate.nec.co.jp ([202.32.8.206]:33928)
	by monty-python.gnu.org with esmtps (TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32)
	(Exim 4.60)
	(envelope-from <miles@HIDDEN>)
	id 1Ls6Ak-0004mv-Fi; Thu, 09 Apr 2009 22:08:51 -0400
Received: from relay11.aps.necel.com ([10.29.19.46])
	by tyo202.gate.nec.co.jp (8.13.8/8.13.4) with ESMTP id n3A28f9j022084;
	Fri, 10 Apr 2009 11:08:41 +0900 (JST)
Received: from relay11.aps.necel.com ([10.29.19.20] [10.29.19.20]) by relay11.aps.necel.com with ESMTP; Fri, 10 Apr 2009 11:08:41 +0900
Received: from dhlpc061 ([10.114.114.58] [10.114.114.58]) by relay11.aps.necel.com with ESMTP; Fri, 10 Apr 2009 11:08:41 +0900
Received: by dhlpc061 (Postfix, from userid 31295)
	id E146052E251; Fri, 10 Apr 2009 11:08:40 +0900 (JST)
From: Miles Bader <miles@HIDDEN>
To: Markus Triska <markus.triska@HIDDEN>
Cc: 2940 <at> debbugs.gnu.org, emacs-pretest-bug@HIDDEN
Subject: Re: bug#2940: 23.0.92; C-s in dired fails to find files with umlauts
References: <mailman.4984.1239295440.31690.bug-gnu-emacs@HIDDEN>
Reply-To: Miles Bader <miles@HIDDEN>
System-Type: x86_64-unknown-linux-gnu
Blat: Foop
Date: Fri, 10 Apr 2009 11:08:40 +0900
In-Reply-To: <mailman.4984.1239295440.31690.bug-gnu-emacs@HIDDEN> (Markus
	Triska's message of "Thu, 09 Apr 2009 18:28:48 +0200")
Message-ID: <buoprflp8ev.fsf@HIDDEN>
Lines: 20
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Sender: miles@HIDDEN
X-detected-operating-system: by monty-python.gnu.org: Solaris 8 (1)

It looks to me like the problem is that you're on a mac, and [some?] mac
filesystems silently convert accented characters in filenames to
"composed form", which is different than the pre-composed characters
people tend to use.

Perhaps the new "ucs-normalize" code (which should be added soon I
think) would help:

> The attached is an Unicode normalization tool contributed by
> Kawabata-san.  It performs all the Unicode normalization
> NFC/NFD/NFKD/NFKC, and provides a coding system utf-8-hfs
> that is suitable to be used for Mac OS 8.1's file names.

[Search for "normalize.el" on recent emacs-devel messages]

-Miles

-- 
A zen-buddhist walked into a pizza shop and
said, "Make me one with everything."




Acknowledgement sent to Miles Bader <miles@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2940; Package emacs. Full text available.

Message received at 2940@HIDDEN:


Received: (at 2940) by emacsbugs.donarmstrong.com; 9 Apr 2009 17:33:56 +0000
From markus.triska@HIDDEN Thu Apr  9 10:33:56 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.9 required=4.0 tests=FOURLA,HAS_BUG_NUMBER
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from mail.gmx.net (mail.gmx.net [213.165.64.20])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with SMTP id n39HXlpf025305
	for <2940@HIDDEN>; Thu, 9 Apr 2009 10:33:50 -0700
Received: (qmail invoked by alias); 09 Apr 2009 17:33:38 -0000
Received: from chello062178240212.3.14.tuwien.teleweb.at (EHLO mt-imac.local) [62.178.240.212]
  by mail.gmx.net (mp007) with SMTP; 09 Apr 2009 19:33:38 +0200
X-Authenticated: #4064391
X-Provags-ID: V01U2FsdGVkX18Wgn9tedUWMoOTBz5GehIe4HmfMTYYLy1+shAtjQ
	L0S2hkHjNZeTTW
Received: by mt-imac.local (Postfix, from userid 501)
	id 021162B0E6F; Thu,  9 Apr 2009 19:33:37 +0200 (CEST)
From: Markus Triska <markus.triska@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 2940 <at> debbugs.gnu.org
Subject: Re: bug#2940: 23.0.92; C-s in dired fails to find files with umlauts
References: <m24owxzt8f.fsf@HIDDEN> <834owx4u9t.fsf@HIDDEN>
Date: Thu, 09 Apr 2009 19:33:37 +0200
In-Reply-To: <834owx4u9t.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 09 Apr
	2009 20:22:06 +0300")
Message-ID: <m2y6u9ybny.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Y-GMX-Trusted: 0
X-FuHaFi: 0.51

Eli Zaretskii <eliz@HIDDEN> writes:

> What's your value of file-name-coding-system?

It is nil, and default-file-name-coding-system is 'utf-8.

> Does it help to say
>
>   C-x RET c utf-8 RET C-x d
>
> instead of just "C-x d"?

No, unfortunately not. Also for C-s it does not seem to make a
difference. When I enter an "=C3=B6" in *scratch*, C-u C-x =3D on it says:

              character: =C3=B6 (246, #o366, #xf6)
      preferred charset: unicode (Unicode (ISO10646))
             code point: 0xF6
                 syntax: w 	which means: word
               category: .:Base, j:Japanese, l:Latin
               to input: type "oe" with german-postfix
            buffer code: #xC3 #xB6
              file code: #xC3 #xB6 (encoded by coding system utf-8-unix)
                display: by this font (glyph code)
          xft:-bitstream-Bitstream Vera Sans Mono-normal-normal-normal-*-20=
-*-*-*-m-0-iso10646-1 (#x7C)

      Character code properties: customize what to show
        name: LATIN SMALL LETTER O WITH DIAERESIS
        old-name: LATIN SMALL LETTER O DIAERESIS
        general-category: Ll (Letter, Lowercase)
        decomposition: (111 776) ('o' '=CC=88')

      There are text properties here:
        fontified            t

This "=C3=B6" is thus also rendered with the expected font, in contrast to
the one in dired.




Acknowledgement sent to Markus Triska <markus.triska@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2940; Package emacs. Full text available.

Message received at 2940@HIDDEN:


Received: (at 2940) by emacsbugs.donarmstrong.com; 9 Apr 2009 17:24:13 +0000
From eliz@HIDDEN Thu Apr  9 10:24:13 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.9 required=4.0 tests=FOURLA,HAS_BUG_NUMBER
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from mtaout7.012.net.il (mtaout7.012.net.il [84.95.2.19])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n39HO9hl021971
	for <2940@HIDDEN>; Thu, 9 Apr 2009 10:24:11 -0700
Received: from conversion-daemon.i-mtaout7.012.net.il by i-mtaout7.012.net.il (HyperSendmail v2007.08) id <0KHU00M00G2HQ800@HIDDEN> for 2940@HIDDEN; Thu, 09 Apr 2009 20:24:03 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([77.127.70.19]) by i-mtaout7.012.net.il (HyperSendmail v2007.08) with ESMTPA id <0KHU000P6GC2MHC0@HIDDEN>; Thu, 09 Apr 2009 20:24:03 +0300 (IDT)
Date: Thu, 09 Apr 2009 20:22:06 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#2940: 23.0.92; C-s in dired fails to find files with umlauts
In-reply-to: <m24owxzt8f.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Markus Triska <markus.triska@HIDDEN>, 2940 <at> debbugs.gnu.org
Reply-to: Eli Zaretskii <eliz@HIDDEN>
Message-id: <834owx4u9t.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-transfer-encoding: 8BIT
References: <m24owxzt8f.fsf@HIDDEN>

> From: Markus Triska <markus.triska@HIDDEN>
> Date: Thu, 09 Apr 2009 18:28:48 +0200
> Cc: 
> 
> 
> With ~/tst.txt existing, when I do:
> 
>    $ emacs -Q ~/
> 
> and press:
> 
>    C-\ german-postfix RET C-s oe RET
> 
> to search for "" in the dired buffer (the input method correctly
> converts the entered "oe" to "" in the minibuffer), I get:
> 
>    Failing wrapped I-search [DE<]: 

What's your value of file-name-coding-system?  Does it help to say

  C-x RET c utf-8 RET C-x d

instead of just "C-x d"?




Acknowledgement sent to Eli Zaretskii <eliz@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2940; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 9 Apr 2009 16:29:00 +0000
From markus.triska@HIDDEN Thu Apr  9 09:29:00 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=0.1 required=4.0 tests=FOURLA autolearn=no
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n39GSuWZ003920
	for <submit@HIDDEN>; Thu, 9 Apr 2009 09:28:57 -0700
Received: from mail.gnu.org ([199.232.76.166]:36568 helo=mx10.gnu.org)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <markus.triska@HIDDEN>)
	id 1Lrx7X-00081I-Lk
	for emacs-pretest-bug@HIDDEN; Thu, 09 Apr 2009 12:28:55 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <markus.triska@HIDDEN>)
	id 1Lrx7T-0002Zz-Uc
	for emacs-pretest-bug@HIDDEN; Thu, 09 Apr 2009 12:28:55 -0400
Received: from mail.gmx.net ([213.165.64.20]:40276)
	by monty-python.gnu.org with smtp (Exim 4.60)
	(envelope-from <markus.triska@HIDDEN>)
	id 1Lrx7T-0002Zl-DD
	for emacs-pretest-bug@HIDDEN; Thu, 09 Apr 2009 12:28:51 -0400
Received: (qmail invoked by alias); 09 Apr 2009 16:28:50 -0000
Received: from chello062178240212.3.14.tuwien.teleweb.at (EHLO mt-imac.local) [62.178.240.212]
  by mail.gmx.net (mp024) with SMTP; 09 Apr 2009 18:28:50 +0200
X-Authenticated: #4064391
X-Provags-ID: V01U2FsdGVkX190XAkxidh0vG6KrQeZBAr/yNQuffjB54wUksY3fi
	7z4MYZpj1rscZN
Received: by mt-imac.local (Postfix, from userid 501)
	id 1EDD32B0B22; Thu,  9 Apr 2009 18:28:49 +0200 (CEST)
From: Markus Triska <markus.triska@HIDDEN>
To: emacs-pretest-bug@HIDDEN
Subject: 23.0.92; C-s in dired fails to find files with umlauts
Date: Thu, 09 Apr 2009 18:28:48 +0200
Message-ID: <m24owxzt8f.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Y-GMX-Trusted: 0
X-FuHaFi: 0.5
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6, seldom 2.4 (older, 4)


With ~/t=C3=B6st.txt existing, when I do:

   $ emacs -Q ~/

and press:

   C-\ german-postfix RET C-s oe RET

to search for "=C3=B6" in the dired buffer (the input method correctly
converts the entered "oe" to "=C3=B6" in the minibuffer), I get:

   Failing wrapped I-search [DE<]: =C3=B6

C-u C-x =3D on the "=C3=B6" in the dired buffer yields:

             character: o (111, #o157, #x6f)
     preferred charset: ascii (ASCII (ISO646 IRV))
            code point: 0x6F
                syntax: w 	which means: word
              category: .:Base, a:ASCII, l:Latin, r:Roman
           buffer code: #x6F
             file code: #x6F (encoded by coding system utf-8-unix)
               display: composed to form "o=CC=88" (see below)

     Composed with the following character(s) "=CC=88" using this font:
       xft:-unknown-Cochin-normal-normal-normal-*-20-*-*-*-*-0-iso10646-1
     by these glyphs:
       [0 1 111 82 11 1 10 8 0 nil]
       [0 1 776 235 6 0 6 12 -9 [-9 -1 0]]

     Character code properties: customize what to show
       name: LATIN SMALL LETTER O
       general-category: Ll (Letter, Lowercase)

     There are text properties here:
       dired-filename       t
       fontified            t
       help-echo            "mouse-2: visit this file in other window"
       mouse-face           highlight

C-u C-x =3D on the first "t" in "t=C3=B6st.txt" yields:

             character: t (116, #o164, #x74)
     preferred charset: ascii (ASCII (ISO646 IRV))
            code point: 0x74
                syntax: w 	which means: word
              category: .:Base, a:ASCII, l:Latin, r:Roman
           buffer code: #x74
             file code: #x74 (encoded by coding system utf-8-unix)
               display: by this font (glyph code)
         xft:-bitstream-Bitstream Vera Sans Mono-normal-normal-normal-*-20-=
*-*-*-m-0-iso10646-1 (#x57)

     Character code properties: customize what to show
       name: LATIN SMALL LETTER T
       general-category: Ll (Letter, Lowercase)

     There are text properties here:
       dired-filename       t
       fontified            t
       help-echo            "mouse-2: visit this file in other window"
       mouse-face           highlight


In GNU Emacs 23.0.92.3 (i386-apple-darwin9.6.1, GTK+ Version 2.14.7)
 of 2009-04-09 on mt-imac.local
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
configured using `configure  '--with-tiff=3Dno''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t





Acknowledgement sent to Markus Triska <markus.triska@HIDDEN>:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2940; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 25 Dec 2015 23:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.